summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/ebuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 978643af7..820db50ca 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -476,7 +476,7 @@ __try_source() {
# If $- contains x, then tracing has already been enabled
# elsewhere for some reason. We preserve it's state so as
# not to interfere.
- if [[ ${qa} ]]; then
+ if ! ${qa} ; then
source "${1}"
else
__qa_source "${1}"